| Flutter Impeller |

Public Member Functions | List of all members
IMPELLER_HPP_NAMESPACE::Paragraph Class Referencefinal

`#include <impeller.hpp>`

Inheritance diagram for IMPELLER_HPP_NAMESPACE::Paragraph:

## Public Member Functions
| Paragraph (ImpellerParagraph paragraph, AdoptTag tag)
float | GetAlphabeticBaseline ()
float | GetHeight ()
float | GetIdeographicBaseline ()
uint32_t | GetLineCount ()
float | GetLongestLineWidth ()
float | GetMaxIntrinsicWidth ()
float | GetMaxWidth ()
float | GetMinIntrinsicWidth ()
Public Member Functions inherited from IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >
| Object ()=default
| Object (ImpellerParagraph object)
| Object (ImpellerParagraph object, AdoptTag)
| Object (Object &&other)
| Object (const Object &other)
| ~Object ()
Object & | operator= (Object &&other)
Object & | operator= (const Object &other)
ImpellerParagraph | Get () const
| operator bool () const

## Detailed Description

See also
  ImpellerParagraph

Definition at line 626 of file impeller.hpp.

## Constructor & Destructor Documentation

## ◆ Paragraph()

IMPELLER_HPP_NAMESPACE::Paragraph::Paragraph | ( | ImpellerParagraph | paragraph,
|  | AdoptTag | tag
| ) |  |
| inline

Definition at line 629 of file impeller.hpp.

630 : Object(paragraph, AdoptTag::kAdopt) {}
IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Object
Object()=default
IMPELLER_HPP_NAMESPACE::AdoptTag::kAdopt
@ kAdopt

References IMPELLER_HPP_NAMESPACE::kAdopt.

## Member Function Documentation

## ◆ GetAlphabeticBaseline()

float IMPELLER_HPP_NAMESPACE::Paragraph::GetAlphabeticBaseline | ( |  | ) |
| inline

See also
  ImpellerParagraphGetAlphabeticBaseline

Definition at line 635 of file impeller.hpp.

635 {
636 return gGlobalProcTable.ImpellerParagraphGetAlphabeticBaseline(Get());
637 }
IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get
ImpellerParagraph Get() const
Definition: impeller.hpp:234
IMPELLER_HPP_NAMESPACE::gGlobalProcTable
ProcTable gGlobalProcTable
Definition: playground_test.cc:10

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetHeight()

float IMPELLER_HPP_NAMESPACE::Paragraph::GetHeight | ( |  | ) |
| inline

See also
  ImpellerParagraphGetHeight

Definition at line 642 of file impeller.hpp.

642 {
643 return gGlobalProcTable.ImpellerParagraphGetHeight(Get());
644 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetIdeographicBaseline()

float IMPELLER_HPP_NAMESPACE::Paragraph::GetIdeographicBaseline | ( |  | ) |
| inline

See also
  ImpellerParagraphGetIdeographicBaseline

Definition at line 649 of file impeller.hpp.

649 {
650 return gGlobalProcTable.ImpellerParagraphGetIdeographicBaseline(Get());
651 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetLineCount()

uint32_t IMPELLER_HPP_NAMESPACE::Paragraph::GetLineCount | ( |  | ) |
| inline

See also
  ImpellerParagraphGetLineCount

Definition at line 656 of file impeller.hpp.

656 {
657 return gGlobalProcTable.ImpellerParagraphGetLineCount(Get());
658 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetLongestLineWidth()

float IMPELLER_HPP_NAMESPACE::Paragraph::GetLongestLineWidth | ( |  | ) |
| inline

See also
  ImpellerParagraphGetLongestLineWidth

Definition at line 663 of file impeller.hpp.

663 {
664 return gGlobalProcTable.ImpellerParagraphGetLongestLineWidth(Get());
665 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetMaxIntrinsicWidth()

float IMPELLER_HPP_NAMESPACE::Paragraph::GetMaxIntrinsicWidth | ( |  | ) |
| inline

See also
  ImpellerParagraphGetMaxIntrinsicWidth

Definition at line 670 of file impeller.hpp.

670 {
671 return gGlobalProcTable.ImpellerParagraphGetMaxIntrinsicWidth(Get());
672 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetMaxWidth()

float IMPELLER_HPP_NAMESPACE::Paragraph::GetMaxWidth | ( |  | ) |
| inline

See also
  ImpellerParagraphGetMaxWidth

Definition at line 677 of file impeller.hpp.

677 {
678 return gGlobalProcTable.ImpellerParagraphGetMaxWidth(Get());
679 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetMinIntrinsicWidth()

float IMPELLER_HPP_NAMESPACE::Paragraph::GetMinIntrinsicWidth | ( |  | ) |
| inline

See also
  ImpellerParagraphGetMinIntrinsicWidth

Definition at line 684 of file impeller.hpp.

684 {
685 return gGlobalProcTable.ImpellerParagraphGetMinIntrinsicWidth(Get());
686 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/impeller.hpp